%define module_version 0.0.5
%define module_name Cache-Elasticache-Memcache
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/Memcached/Fast.pm) perl(Carp.pm) perl(Carton/Builder.pm) perl(Carton/Environment.pm) perl(Carton/Mirror.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/Timeout.pm) perl(Moo.pm) perl(Sub/Override.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Routini.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.5
Release: alt1
Summary: A wrapper for L<Cache::Memacached::Fast> with support for AWS's auto reconfiguration mechanism
Group: Development/Perl
License: perl
URL: https://github.com/zebardy/cache-memcache-elasticache

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZE/ZEBARDY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
A wrapper for the Cache::Memacached::Fast manpage with support for AWS's auto reconfiguration mechanism. It makes use of an AWS elasticache memcached cluster's configuration endpoint to disctover the memcache servers in the cluster and periodically check the current server list to adapt to a changing cluster.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/C*

%changelog
* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1
- initial import by package builder

